# Copyright 2003 Sun Microsystems, Inc. All rights reserved.
# Use is subject to license terms.

#   #ident	"@(#)pmemtest.properties	1.12	03/11/25	SMI" 

1="{0}"

2="{0}MB of memory read."

3="Total amount of memory read is {0}MB."

4="There are no SIMMs in Board{0}, Bank{1}."

5="{0} specific arguments:\n\
\tdev=<device_name>\n\
\tthreshold=<ECC Report Threshold> \n\
\t           0 means do not report error\n\
\tsection=<memory section of memory to be tested> \n\
\t           -1 means sequential test on one section in each pass\n\
\t               test section is function of <pass> and <instance no> \n\
\tbdinfo=<board information> \n\
\tsize=<number> percentages of memory to be test\n"

6="You have selected section {0} which is out of range: {1}.\n\
Your selection has been changed to section {2}."

7="Instance:{0}, Pass:{1}, Section:{2} \n"


2000="{0}"

2001="Connected <{0} MB physical memory has been found> "


4000="{0}"

4001="{0} ECC errors in simm {1}"

4002="Unable to get system platform info. sysinfo(SI_PLATFORM) failed:{0}."

4003="Unable to get system processor configurations.\
sysconf(_SC_NPROCESSORS_ONLN) failed: {0}."


6000="{0}"

6001="Correctable errors found."

6002="{0} persistent errors on {1}."

6003="{0} intermittent errors on {1}."

6004="Symbol {0} not found in kernel image."

6005="{0} persistent errors on {1} SIMM(s). Probable_Cause(s): <{2} SIMM(s).> Recommended_Actions: <Call your service representative.>"

6006="{0} ECC errors in simm {1}."

6007="ECC errors in {0}:  simm {1}0x{2} ."


6008="The available size 0x{0}, from OS, is not multiple of 1MB. Probable_Cause(s): Possible OS error.\
Recommended_Actions: <Check the available size with your system physical memory"


6009="kvm_open() failed: Possibly due to resource limitations.\n\
Decrease either the number of group instances or the number of test\n\
instance, and try again."


6010="llseek to address 0x{0} failed ({1})."


6011="read() at address 0x{0} [{1}] failed ({2})."


6012="Symbol {0} not found in kernel image."


6013="Unable to read pointer to kernel memory structure (memlist)."


6014="llseek to address 0x{0} [{1}] failed ({2})."


6015="kvm_read() call failed"


6017="sunfire_kstat_info(): No Space."


6018="kstat_open() failed: {0}"


6019="kstat_close() failed: {0}"


6020="kstat_lookup() failed for Address Controller: {0}."


6021="kstat_read failed for Address Controller: {0}."


6022="kstat_data_lookup failed for MEMCTL register."


6023="kstat_data_lookup failed for MEMDEC0 register."


6024="kstat_data_lookup failed for MEMDEC1 register."


6025="kstat_lookup() failed for SIMM status registers: {0}."


6026="kstat_read() failed for SIMM status registers: {0}."


6027="BDINFO is NULL."


6028="Could not open file /dev/mem: {0}."


6029="Unable to read \"size\" and \"address\" in kernel memory structures(memlist)."

6030="Multiple persistent ECC errors on {0}. \n\
Please see /var/adm/messages file for details."

6031="Multiple intermittent ECC errors on {0}. \n\
Please see /var/adm/messages file for details."

6032="Multiple ECC errors in simm {0}."


8000="kvm_open() failed: Possibly due to resource limitations.\n\
Decrease either the number of group instances or the number of test\n\
instance, and try again."

8001="sysinfo(SI_PLATFORM) failed: {0}."

8002="Symbol {0} not found in kernel image."

8003="Could not open file /dev/mem: {0}."

8004="Unable to read pointer to memlist structure."

8005="Unable to read \"size\" and \"address\" in memlist."

8006="llseek() to address 0x{0} failed ({1})."

8007="read() at address 0x{0} failed ({1})."

8008="sysconf(_SC_NPROCESSORS_ONLN) failed: {0}."

8009="llseek to address 0x{0} failed ({1})."

8010="llseek to address 0x{0} [{1}] failed ({2})."

8011="read() at address 0x{0} [{1}] failed ({2})."

8012="{0}"

8013="BDINFO is NULL."

8014="No physical memory found."

8015="sysconf(_SC_PHYS_PAGES) failed:{0}."
8016="malloc() failed: Not enough available memory."
8017="calloc() failed: Not enough available memory."
8018="BDINFO is NULL."
8019="No physical memory found."


